Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
health-scores
List Health Scores
curl --request GET \
  --url https://api.example.com/api/v1/users/{user_id}/health-scores \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/users/{user_id}/health-scores"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/users/{user_id}/health-scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "recorded_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "data_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "value": 123,
      "qualifier": "<string>",
      "zone_offset": "+01:00",
      "components": {}
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJpZCI6IjEyMzQ1Njc4OTAiLCJ0cyI6MTcwNDA2NzIwMH0",
    "previous_cursor": "<string>",
    "total_count": 150
  },
  "metadata": {
    "sample_count": 123,
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Open-Wearables-API-Key
string | null

Path Parameters

user_id
string<uuid>
required

Query Parameters

start_date
string<date-time> | null

ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.

Example:

"2023-11-07T05:31:56Z"

end_date
string<date-time> | null

ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and normalized to midnight UTC.

Example:

"2023-11-07T05:31:56Z"

category
enum<string> | null
Available options:
sleep,
recovery,
readiness,
activity,
stress,
resilience,
body_battery,
strain
provider
enum<string> | null

Supported data providers.

Available options:
apple,
samsung,
google,
garmin,
polar,
suunto,
whoop,
strava,
oura,
fitbit,
ultrahuman,
unknown,
internal
limit
integer
default:50
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

data
HealthScoreResponse · object[]
required
pagination
Pagination · object
required
metadata
TimeseriesMetadata · object
required